GDCM: vtkImageMapToWindowLevelColors2 Class Reference

GDCM 3.2.5

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkImageMapToWindowLevelColors2 Class Reference

`#include <vtkImageMapToWindowLevelColors2.h>`

Inheritance diagram for vtkImageMapToWindowLevelColors2:
[legend]
Collaboration diagram for vtkImageMapToWindowLevelColors2:
[legend]

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkGetMacro (Level, double)
| vtkGetMacro (Window, double)
| vtkSetMacro (Level, double)
| vtkSetMacro (Window, double)
| vtkTypeMacro (vtkImageMapToWindowLevelColors2, vtkImageMapToColors)

## Static Public Member Functions
static vtkImageMapToWindowLevelColors2 * | New ()

## Protected Member Functions
| vtkImageMapToWindowLevelColors2 ()
| ~vtkImageMapToWindowLevelColors2 ()
virtual int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
virtual int | RequestInformation (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
void | ThreadedRequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector, vtkImageData ***inData, vtkImageData **outData, int extent[6], int id)

## Protected Attributes
double | Level
double | Window

## Constructor & Destructor Documentation

## ◆ vtkImageMapToWindowLevelColors2()

vtkImageMapToWindowLevelColors2::vtkImageMapToWindowLevelColors2 | ( |  | ) |
| protected

Referenced by New(), and vtkTypeMacro().

## ◆ ~vtkImageMapToWindowLevelColors2()

vtkImageMapToWindowLevelColors2::~vtkImageMapToWindowLevelColors2 | ( |  | ) |
| protected

## Member Function Documentation

## ◆ New()

vtkImageMapToWindowLevelColors2 * vtkImageMapToWindowLevelColors2::New | ( |  | ) |
| static

References vtkImageMapToWindowLevelColors2().

## ◆ PrintSelf()

void vtkImageMapToWindowLevelColors2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ◆ RequestData()

virtual int vtkImageMapToWindowLevelColors2::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector )
| protectedvirtual

## ◆ RequestInformation()

virtual int vtkImageMapToWindowLevelColors2::RequestInformation | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * | )
| protectedvirtual

## ◆ ThreadedRequestData()

void vtkImageMapToWindowLevelColors2::ThreadedRequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector,
|  | vtkImageData *** | inData,
|  | vtkImageData ** | outData,
|  | int | extent[6],
|  | int | id )
| protected

## ◆ vtkGetMacro() [1/2]

vtkImageMapToWindowLevelColors2::vtkGetMacro | ( | Level | ,
|  | double | )

References Level.

## ◆ vtkGetMacro() [2/2]

vtkImageMapToWindowLevelColors2::vtkGetMacro | ( | Window | ,
|  | double | )

References Window.

## ◆ vtkSetMacro() [1/2]

vtkImageMapToWindowLevelColors2::vtkSetMacro | ( | Level | ,
|  | double | )

References Level.

## ◆ vtkSetMacro() [2/2]

vtkImageMapToWindowLevelColors2::vtkSetMacro | ( | Window | ,
|  | double | )

References Window.

## ◆ vtkTypeMacro()

vtkImageMapToWindowLevelColors2::vtkTypeMacro | ( | vtkImageMapToWindowLevelColors2 | ,
|  | vtkImageMapToColors | )

References vtkImageMapToWindowLevelColors2().

## Member Data Documentation

## ◆ Level

double vtkImageMapToWindowLevelColors2::Level
| protected

Referenced by vtkGetMacro(), and vtkSetMacro().

## ◆ Window

double vtkImageMapToWindowLevelColors2::Window
| protected

Referenced by vtkGetMacro(), and vtkSetMacro().

The documentation for this class was generated from the following file:

- vtkImageMapToWindowLevelColors2.h